#include <iostream>             // cin,cout,endl
#include <stdlib.h>             // EXIT_SUCCESS
#include <stdio.h>

using namespace std;

#define MAXEQUATIONS 20

int main(void)
{
	FILE *ff;
	ff = fopen("denklem.txt","r");
	if(!ff){
		cout << "denklem.txt Dosyasi Bulunamadi (Dosyadan Okunamadi)..." << endl;
		system("PAUSE");
		return -1;
	}
    float a[MAXEQUATIONS][MAXEQUATIONS], b[MAXEQUATIONS];
    float x[MAXEQUATIONS];
    float pivot, f;
    int n;
    int i, j, k;

    fscanf(ff,"%d\n", &n);
    cout << "Denklem Sayisi : " << n << endl;
    for (i = 0; i < n; i++) {
		cout << "Denklem " << i+1 << " : ";
        for (j = 0; j < n; j++) {
            fscanf(ff,"%f", &a[i][j]);
            cout << a[i][j] << " ";
        }
        fscanf(ff,"%f\n", &b[i]); 
        cout << endl;
    }
    fclose(ff);
    for (j = 0; j < n - 1; j++) {
        pivot = a[j][j];
        for (i = j + 1; i < n; i++) {
            f = a[i][j] / pivot;
            for (k = j + 1; k < n; k++)
                a[i][k] = a[i][k] - f * a[j][k];
            b[i] = b[i] - f * b[j];
        }
    }

    x[n-1] = b[n-1] / a[n-1][n-1];
    for (i = n - 2; i >= 0; i--) {
        f = b[i];
        for (k = i + 1; k < n; k++)
            f = f - a[i][k] * x[k];
        x[i] = f / a[i][i];
    }

	ff = fopen("denklem.txt","a+");
	fprintf(ff,"\nCOZUM\n-------------\n");
	if(!ff){
		cout << "denklem.txt Dosyasi Bulunamadi (Dosyaya Kaydedilemedi)..." << endl;
		system("PAUSE");
		return -1;
	}
    for (i = 0; i < n; i++){
        cout << "x" << i + 1 << ": " << x[i] << endl;
        fprintf(ff,"x%d : %f\n",i+1, x[i]);
	}
	fclose(ff);
	system("PAUSE");
    return EXIT_SUCCESS;
}
